jmarkov.solvers

## Enum MtjSolver.EnumPrecond

- java.lang.Object
- - java.lang.Enum<MtjSolver.EnumPrecond>
  - - jmarkov.solvers.MtjSolver.EnumPrecond

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MtjSolver.EnumPrecond>
  Enclosing class:
    MtjSolver

      public static enum MtjSolver.EnumPrecond
      extends java.lang.Enum<MtjSolver.EnumPrecond>

  This is the list of preconditioner offered in MTJ.
  Author:
    Germán Riaño. Universidad de los Andes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIA`
    `IDEN`
    `ILU`
    `SSOR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `label()` Returns a label with the solver name.
    `static MtjSolver.EnumPrecond` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MtjSolver.EnumPrecond[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDEN

          public static final MtjSolver.EnumPrecond IDEN

    - #### SSOR

          public static final MtjSolver.EnumPrecond SSOR

    - #### DIA

          public static final MtjSolver.EnumPrecond DIA

    - #### ILU

          public static final MtjSolver.EnumPrecond ILU

  - ### Method Detail

    - #### values

          public static MtjSolver.EnumPrecond[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MtjSolver.EnumPrecond c : MtjSolver.EnumPrecond.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MtjSolver.EnumPrecond valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### label

          public java.lang.String label()

      Returns a label with the solver name.
      Returns:
        The solver name
      See Also:
        `Solver.label()`